#
# Conditional build:
%bcond_without	tests		# build without tests

%define pkgname ohai
Summary:	Profiles your system and emits JSON
Name:		ruby-%{pkgname}
Version:	6.20.0
Release:	1
License:	Apache v2.0
Group:		Development/Languages
Source0:	https://github.com/opscode/ohai/archive/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	1a3091bb1d06fda9e15447edbc4a2f77
Patch0:		virtualization-vserver.patch
Patch1:		php-builddate.patch
URL:		http://docs.opscode.com/ohai.html
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-rake
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	ruby-ipaddress
BuildRequires:	ruby-mixlib-config
BuildRequires:	ruby-mixlib-log
BuildRequires:	ruby-mixlib-shellout
BuildRequires:	ruby-rspec
BuildRequires:	ruby-systemu >= 2.5.2
BuildRequires:	ruby-yajl
%endif
Requires:	lsb-release
Requires:	ruby-ipaddress
Requires:	ruby-mixlib-cli
Requires:	ruby-mixlib-config
Requires:	ruby-mixlib-log
Requires:	ruby-mixlib-shellout
Requires:	ruby-systemu >= 2.5.2
Requires:	ruby-yajl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ohai detects data about your operating system and prints out a JSON
data blob. It can be used standalone, but it's primary purpose is to
provide node data to Chef.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -n ohai-%{version}
%patch0 -p1
%patch1 -p1
%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

# no plist and not darwin so don't care
rm spec/unit/plugins/darwin/system_profiler_spec.rb

# can't figure how to fix -r rubygems does not help
# ohai-6.16.0/spec/unit/plugins/ruby_spec.rb:52:in `block in <top (required)>': uninitialized cons tant Gem (NameError)
rm spec/unit/plugins/ruby_spec.rb

%build
rake gem
%{__tar} -xmf pkg/ohai-%{version}.gem
%__gem_helper spec

%if %{with tests}
# Occasionally fails with "undefined method `rfc2822' for nil:NilClass" during
# mock. Unsure why - disable for now.
#sed -i 's^Time.should_receive(:now)^^' spec/ohai/plugins/ohai_time_spec.rb
LC_ALL=en_US.utf8 \
rake -r rubygems spec
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{_bindir},%{_mandir}/man1}
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p docs/man/man1/ohai.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rdoc CHANGELOG NOTICE
%attr(755,root,root) %{_bindir}/ohai
%{_mandir}/man1/ohai.1*
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Tue Dec 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-ohai.git;a=log;h=master

* Tue Dec 10 2013 Elan Ruusamäe <glen@delfi.ee> f15e454
- up to 6.20.0

* Thu Sep 12 2013 Elan Ruusamäe <glen@delfi.ee> 2214528
- up to 6.18.0

* Thu Sep 12 2013 Elan Ruusamäe <glen@delfi.ee> 38a0d44
- fix builddate in php version

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> 6892ed3
- build with rubygems provides

* Tue Jun 18 2013 Elan Ruusamäe <glen@delfi.ee> c40b9b8
- require lsb-release for platform detection

* Sat May 25 2013 Elan Ruusamäe <glen@delfi.ee> 410d4b6
- reorder vserver virtualization, so that vbox takes preference

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 6497a7d
- build deps

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 559cb08
- use full tarball, run tests

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> ebd314a
- up to 6.16.0

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> e442943
- up to 6.14.0

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 71f6175
- up to 0.6.10

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> 0955027
- up to 0.6.0

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> be31739
- new, version 0.5.0

